> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/enrolled-devices-report_scheduled.md).

# 登録済みデバイス レポート（スケジュール済み）

直近数週間の初回デバイス登録をレポート

{% hint style="info" %}
これはスケジュールされた runbook です。単一のオブジェクトに対してトリガーされるのではなく、繰り返しのスケジュールで実行されるように設計されています。詳細は [スケジューリング](/ja/zi-dong-hua/runbooks/scheduling.md) runbook のスケジュールの設定方法の詳細については
{% endhint %}

### 説明

選択した週数以内に初めて登録されたデバイスを一覧表示します。国や部署など、任意の属性でグループ化されるため、新しいデバイスがどこで現れるかを確認できます。このレポートは CSV として Azure Storage Account にエクスポートし、そこからダウンロードできます。

### CSV エクスポート用の Storage Account を構成します

CSV エクスポートは、レポートを Azure Storage Account にアップロードします。リソース グループ、名前、リージョン、パフォーマンス階層は以下の Tenant 設定から取得され、コンテナー名は `EnrolledDevicesReport.Container`.

```json
{
  "Settings": {
    "EnrolledDevicesReport": {
      "ResourceGroup": "rj-test-runbooks-01",
      "StorageAccount": {
        "Name": "rjrbexports01",
        "Location": "West Europe",
        "Sku": "Standard_LRS"
      }
    }
  }
}
```

ランブックのカスタマイズ方法の詳細については、 [ランブック カスタマイズ ガイド](https://docs.realmjoin.com/automation/runbooks/runbook-customization).

### 場所

組織 → 全般 → 登録済みデバイス レポート (スケジュール済み)

**完全な Runbook 名**

rjgit-org\_general\_enrolled-devices-report\_scheduled

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | はい                                  |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * DeviceManagementServiceConfig.Read.All
    * *レポートのベース データセットとしてすべての Autopilot デバイスを一覧表示します*
  * DeviceManagementManagedDevices.Read.All
    * *各 Intune デバイスの登録日とユーザー情報を読み取ります*
  * User.Read.All
    * *ユーザー プロパティでグループ化する場合、各デバイスのユーザーからグループ化属性を読み取ります*
  * Device.ReadWrite.All
    * *デバイス プロパティでグループ化するために Entra のデバイス オブジェクトを読み取ります*

#### アクセス許可に関する注意

Azure: Storage Account の共同作成者

### パラメーター

#### 週

初回登録を何週間前までさかのぼって探すか。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 4     |
| 種類    | Int32 |

#### dataSource

Autopilot プロファイルの割り当て日では、デバイスはその Autopilot プロファイルが割り当てられた日からカウントされます。Intune への登録日では、Intune に登録した日からカウントされます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 0     |
| 種類    | Int32 |

#### groupingSource

グループ化属性の取得元: グループ化なし、Entra ID のユーザーまたはデバイス プロパティ、Intune デバイス プロパティ、または Autopilot デバイス プロパティ。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 1     |
| 種類    | Int32 |

#### groupingAttribute

デバイスをグループ化する属性の名前。たとえば、国や部署です。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 国     |
| 種類    | 文字列   |

#### exportCsv

レポートを CSV として Storage Account にアップロードし、ダウンロード リンクを返します。構成済みの Storage Account が必要です。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### コンテナー名

レポートをアップロードするストレージ コンテナー。Tenant 設定 EnrolledDevicesReport.Container から取得されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### リソース グループ名

Storage Account のリソース グループ。Tenant 設定 EnrolledDevicesReport.ResourceGroup から取得されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### Storage Account 名

エクスポート用の Storage Account。Tenant 設定 EnrolledDevicesReport.StorageAccount.Name から取得されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### Storage Account の場所

Storage Account を作成する必要がある場合に使用される Azure リージョン。Tenant 設定 EnrolledDevicesReport.StorageAccount.Location から取得されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### Storage Account SKU

Storage Account を作成する必要がある場合に使用されるパフォーマンス階層。Tenant 設定 EnrolledDevicesReport.StorageAccount.Sku から取得されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/enrolled-devices-report_scheduled.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
